org.richfaces.component

## Enum UIProgressBar.Properties

- java.lang.Object
- - java.lang.Enum<UIProgressBar.Properties>
  - - org.richfaces.component.UIProgressBar.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIProgressBar.Properties>
  Enclosing class:
    UIProgressBar

      protected static enum UIProgressBar.Properties
      extends Enum<UIProgressBar.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `data`
    `enabled`
    `finishClass`
    `initialClass`
    `interval`
    `label`
    `maxValue`
    `minValue`
    `mode`
    `onbeforedomupdate`
    `onbegin`
    `onclick`
    `oncomplete`
    `ondblclick`
    `onfinish`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `progressClass`
    `remainingClass`
    `resource`
    `style`
    `styleClass`
    `value`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIProgressBar.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIProgressBar.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### data

          public static final UIProgressBar.Properties data

    - #### enabled

          public static final UIProgressBar.Properties enabled

    - #### finishClass

          public static final UIProgressBar.Properties finishClass

    - #### initialClass

          public static final UIProgressBar.Properties initialClass

    - #### interval

          public static final UIProgressBar.Properties interval

    - #### label

          public static final UIProgressBar.Properties label

    - #### maxValue

          public static final UIProgressBar.Properties maxValue

    - #### minValue

          public static final UIProgressBar.Properties minValue

    - #### mode

          public static final UIProgressBar.Properties mode

    - #### onbeforedomupdate

          public static final UIProgressBar.Properties onbeforedomupdate

    - #### onbegin

          public static final UIProgressBar.Properties onbegin

    - #### onclick

          public static final UIProgressBar.Properties onclick

    - #### oncomplete

          public static final UIProgressBar.Properties oncomplete

    - #### ondblclick

          public static final UIProgressBar.Properties ondblclick

    - #### onfinish

          public static final UIProgressBar.Properties onfinish

    - #### onmousedown

          public static final UIProgressBar.Properties onmousedown

    - #### onmousemove

          public static final UIProgressBar.Properties onmousemove

    - #### onmouseout

          public static final UIProgressBar.Properties onmouseout

    - #### onmouseover

          public static final UIProgressBar.Properties onmouseover

    - #### onmouseup

          public static final UIProgressBar.Properties onmouseup

    - #### progressClass

          public static final UIProgressBar.Properties progressClass

    - #### remainingClass

          public static final UIProgressBar.Properties remainingClass

    - #### resource

          public static final UIProgressBar.Properties resource

    - #### style

          public static final UIProgressBar.Properties style

    - #### styleClass

          public static final UIProgressBar.Properties styleClass

    - #### value

          public static final UIProgressBar.Properties value

  - ### Method Detail

    - #### values

          public static UIProgressBar.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIProgressBar.Properties c : UIProgressBar.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIProgressBar.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.